import unittest
from lib.cassini_lib import CassiniLib

class TestCassiniLib(unittest.TestCase):

    def obter_dados_banco(self):
        return {
            'host': 'localhost',
            'usuario': 'sa',
            'senha': '1q2w3e4r',
            'nomeBanco': 'Bigolin'
        }

    def test_whoisactive_existe(self):
        cassini_lib = CassiniLib(self.obter_dados_banco())
        self.assertTrue(cassini_lib.whoisactive_existe())

    def test_criar_sp_whoisactive(self):
        cassini_lib = CassiniLib(self.obter_dados_banco(), endereco_sp_whoisactive_sql=r'C:\TrabalhoWeb\ScriptsDeploy\scripts_implantacao\cassini\sp_WhoIsActive.sql')

        cassini_lib.criar_sp_whoisactive()

        self.assertTrue(cassini_lib.whoisactive_existe())